Skip to content
Last updated

title: Refresh Flowplate Api Key keywords:

  • refresh flowplate api key
  • post
  • refresh
  • flowplate
  • api
  • key

Rotate a user's Flowplate API key.

POSThttps://api.aitronos.com/v1/flowplate/api-keys/{user_id}/{org_id}/refresh

Headers

x-flowplate-master-key string required

Flowplate master API key for internal service authentication.

Path Parameters

user_id string required

The user id parameter.

org_id string required

The org id parameter.


Returns

success boolean

Whether the refresh was successful

message string

Action result message

new_key object

The new key details (old key is now invalid)

cURL
curl -X POST "https://api.aitronos.com/v1/flowplate/api-keys/{user_id}/{org_id}/refresh" \
  -H "X-API-Key: $FREDDY_API_KEY"

Response:

200 OK
{
  "success": true,
  "message": "Key refreshed successfully",
  "new_key": {
    "key": "fl_user_prod_a1b2c3d4...",
    "key_id": "flk_abc123def456",
    "key_prefix": "fl_user_prod_a1b2c3d4",
    "user_id": "usr_abc123def456",
    "organization_id": "org_abc123def456",
    "created_at": "2025-11-15T10:30:00Z"
  }
}